Update an external fetch templateAsk AIput https://api.getblueshift.com/api/v1/external_fetches/{template_uuid}Use this endpoint to update an external fetch template.Path Paramstemplate_uuidstringrequiredSpecify the UUID of the template that you want to update. You can get the template UUID from the URL when you view a template in the Blueshift app. For example, in https://app.getblueshift.com/dashboard#/app/external_fetches/<TEMPLATE_UUID>/edit, the <TEMPLATE_UUID> is the uuid that you need.Body ParamsUpdate an external fetch template.alias_namestringSpecify the name of the external fetch template. The alias_name can contain lowercase alphanumeric characters and underscores only.authorstringSpecify the email address of the author of the template.http_methodstringenumHTTP method to fetch the data. Set GET or POST as the method.GETGETPOSTAllowed:GETPOSTauth_headerstringAlong with the auth_token, specifies the details for secure URLs.auth_tokenstringAlong with the auth_header, specifies the details for secure URLs.urlstringThe external URL. The external fetch URL may include dynamic liquid variables such as user id, email address, product ids, and more.bodystringSpecify the JSON payload if the http_method is POST.test_contextstringSpecify the test context for the template.Responses 200OK 400Bad Request - The request is invalid due to missing or incorrect parameters. This includes missing fields, invalid values, formatting issues, or conflicts such as duplicate data. 401Unauthorized - API authentication failed due to an invalid or missing API key. 403Forbidden - The API key does not have sufficient permissions to perform this action. 404Not Found - The requested resource was not found. 422Unprocessable Entity - The request was well-formed but contains semantic errors. 429Too Many Requests - The request limit has been exceeded. Reduce request frequency. 500Internal Server Error - An unexpected server error occurred. Contact support if the issue persists. 502Bad Gateway - The server received an invalid response. Retry the request. 503Service Unavailable - The service is temporarily unavailable. Try again later. 504Gateway Timeout - The server took too long to respond. Retry the request with exponential backoff.Updated 2 months ago